rong__yuan
rong__yuan
采纳率100%
2021-03-04 00:41

python3.5无法安装pyinstaller库

已采纳

我是下的3.5版本,然后按照慕课里面pip install pyinstaller 的方安装,报错。有大佬解释一下吗,还有两个星期就考二级了。

 

 

C:\Users\容垣>pip install pyinstaller
DEPRECATION: Python 3.5 reached the end of its life on September 13th, 2020. Please upgrade your Python as Python 3.5 is no longer maintained. pip 21.0 will drop support for Python 3.5 in January 2021. pip 21.0 will remove support for this functionality.
Collecting pyinstaller
  Downloading pyinstaller-4.2.tar.gz (3.6 MB)
     |████████████████████████████████| 3.6 MB 23 kB/s
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
ERROR: Exception:
Traceback (most recent call last):
  File "d:\python\py\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 171, in _merge_into_criterion
    crit = self.state.criteria[name]
KeyError: 'pyinstaller'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "d:\python\py\lib\site-packages\pip\_internal\cli\base_command.py", line 223, in _main
    status = self.run(options, args)
  File "d:\python\py\lib\site-packages\pip\_internal\cli\req_command.py", line 180, in wrapper
    return func(self, options, args)
  File "d:\python\py\lib\site-packages\pip\_internal\commands\install.py", line 321, in run
    reqs, check_supported_wheels=not options.target_dir
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\resolver.py", line 122, in resolve
    requirements, max_rounds=try_to_avoid_resolution_too_deep,
  File "d:\python\py\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 453, in resolve
    state = resolution.resolve(requirements, max_rounds=max_rounds)
  File "d:\python\py\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 318, in resolve
    name, crit = self._merge_into_criterion(r, parent=None)
  File "d:\python\py\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 173, in _merge_into_criterion
    crit = Criterion.from_requirement(self._p, requirement, parent)
  File "d:\python\py\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 82, in from_requirement
    if not cands:
  File "d:\python\py\lib\site-packages\pip\_vendor\resolvelib\structs.py", line 124, in __bool__
    return bool(self._sequence)
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\found_candidates.py", line 99, in __bool__
    return any(self)
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\factory.py", line 244, in iter_index_candidates
    version=ican.version,
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\factory.py", line 169, in _make_candidate_from_link
    name=name, version=version,
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 302, in __init__
    version=version,
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 144, in __init__
    self.dist = self._prepare()
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 222, in _prepare
    dist = self._prepare_distribution()
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 308, in _prepare_distribution
    self._ireq, parallel_builds=True,
  File "d:\python\py\lib\site-packages\pip\_internal\operations\prepare.py", line 480, in prepare_linked_requirement
    return self._prepare_linked_requirement(req, parallel_builds)
  File "d:\python\py\lib\site-packages\pip\_internal\operations\prepare.py", line 524, in _prepare_linked_requirement
    req, self.req_tracker, self.finder, self.build_isolation,
  File "d:\python\py\lib\site-packages\pip\_internal\operations\prepare.py", line 88, in _get_prepared_distribution
    abstract_dist.prepare_distribution_metadata(finder, build_isolation)
  File "d:\python\py\lib\site-packages\pip\_internal\distributions\sdist.py", line 39, in prepare_distribution_metadata
    self._setup_isolation(finder)
  File "d:\python\py\lib\site-packages\pip\_internal\distributions\sdist.py", line 97, in _setup_isolation
    reqs = backend.get_requires_for_build_wheel()
  File "d:\python\py\lib\site-packages\pip\_vendor\pep517\wrappers.py", line 178, in get_requires_for_build_wheel
    'config_settings': config_settings
  File "d:\python\py\lib\site-packages\pip\_vendor\pep517\wrappers.py", line 284, in _call_hook
    raise BackendUnavailable(data.get('traceback', ''))
pip._vendor.pep517.wrappers.BackendUnavailable: Traceback (most recent call last):
  File "d:\python\py\lib\site-packages\pip\_vendor\pep517\_in_process.py", line 86, in _build_backend
    obj = import_module(mod_path)
  File "d:\python\py\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 986, in _gcd_import
  File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  File "<frozen importlib._bootstrap>", line 956, in _find_and_load_unlocked
ImportError: No module named 'setuptools.build_meta'


C:\Users\容垣>python -m pip install --upgrade pip=20.2.4
DEPRECATION: Python 3.5 reached the end of its life on September 13th, 2020. Please upgrade your Python as Python 3.5 is no longer maintained. pip 21.0 will drop support for Python 3.5 in January 2021. pip 21.0 will remove support for this functionality.
ERROR: Invalid requirement: 'pip=20.2.4'
Hint: = is not a valid operator. Did you mean == ?

C:\Users\容垣>python -m pip install --upgrade pip=20.2.4
DEPRECATION: Python 3.5 reached the end of its life on September 13th, 2020. Please upgrade your Python as Python 3.5 is no longer maintained. pip 21.0 will drop support for Python 3.5 in January 2021. pip 21.0 will remove support for this functionality.
ERROR: Invalid requirement: 'pip=20.2.4'
Hint: = is not a valid operator. Did you mean == ?

C:\Users\容垣>pip freeze > requirments.txt
DEPRECATION: Python 3.5 reached the end of its life on September 13th, 2020. Please upgrade your Python as Python 3.5 is no longer maintained. pip 21.0 will drop support for Python 3.5 in January 2021. pip 21.0 will remove support for this functionality.

C:\Users\容垣>python -m pip install --upgrade pip=20.2.4
DEPRECATION: Python 3.5 reached the end of its life on September 13th, 2020. Please upgrade your Python as Python 3.5 is no longer maintained. pip 21.0 will drop support for Python 3.5 in January 2021. pip 21.0 will remove support for this functionality.
ERROR: Invalid requirement: 'pip=20.2.4'
Hint: = is not a valid operator. Did you mean == ?

C:\Users\容垣>pip freeze > requirments.txt
DEPRECATION: Python 3.5 reached the end of its life on September 13th, 2020. Please upgrade your Python as Python 3.5 is no longer maintained. pip 21.0 will drop support for Python 3.5 in January 2021. pip 21.0 will remove support for this functionality.

C:\Users\容垣>--use-deprecated=legacy-resolverflag
'--use-deprecated' 不是内部或外部命令,也不是可运行的程序
或批处理文件。

C:\Users\容垣>pip install pyinstaller
DEPRECATION: Python 3.5 reached the end of its life on September 13th, 2020. Please upgrade your Python as Python 3.5 is no longer maintained. pip 21.0 will drop support for Python 3.5 in January 2021. pip 21.0 will remove support for this functionality.
Collecting pyinstaller
  Using cached pyinstaller-4.2.tar.gz (3.6 MB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
ERROR: Exception:
Traceback (most recent call last):
  File "d:\python\py\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 171, in _merge_into_criterion
    crit = self.state.criteria[name]
KeyError: 'pyinstaller'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "d:\python\py\lib\site-packages\pip\_internal\cli\base_command.py", line 223, in _main
    status = self.run(options, args)
  File "d:\python\py\lib\site-packages\pip\_internal\cli\req_command.py", line 180, in wrapper
    return func(self, options, args)
  File "d:\python\py\lib\site-packages\pip\_internal\commands\install.py", line 321, in run
    reqs, check_supported_wheels=not options.target_dir
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\resolver.py", line 122, in resolve
    requirements, max_rounds=try_to_avoid_resolution_too_deep,
  File "d:\python\py\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 453, in resolve
    state = resolution.resolve(requirements, max_rounds=max_rounds)
  File "d:\python\py\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 318, in resolve
    name, crit = self._merge_into_criterion(r, parent=None)
  File "d:\python\py\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 173, in _merge_into_criterion
    crit = Criterion.from_requirement(self._p, requirement, parent)
  File "d:\python\py\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 82, in from_requirement
    if not cands:
  File "d:\python\py\lib\site-packages\pip\_vendor\resolvelib\structs.py", line 124, in __bool__
    return bool(self._sequence)
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\found_candidates.py", line 99, in __bool__
    return any(self)
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\factory.py", line 244, in iter_index_candidates
    version=ican.version,
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\factory.py", line 169, in _make_candidate_from_link
    name=name, version=version,
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 302, in __init__
    version=version,
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 144, in __init__
    self.dist = self._prepare()
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 222, in _prepare
    dist = self._prepare_distribution()
  File "d:\python\py\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 308, in _prepare_distribution
    self._ireq, parallel_builds=True,
  File "d:\python\py\lib\site-packages\pip\_internal\operations\prepare.py", line 480, in prepare_linked_requirement
    return self._prepare_linked_requirement(req, parallel_builds)
  File "d:\python\py\lib\site-packages\pip\_internal\operations\prepare.py", line 524, in _prepare_linked_requirement
    req, self.req_tracker, self.finder, self.build_isolation,
  File "d:\python\py\lib\site-packages\pip\_internal\operations\prepare.py", line 88, in _get_prepared_distribution
    abstract_dist.prepare_distribution_metadata(finder, build_isolation)
  File "d:\python\py\lib\site-packages\pip\_internal\distributions\sdist.py", line 39, in prepare_distribution_metadata
    self._setup_isolation(finder)
  File "d:\python\py\lib\site-packages\pip\_internal\distributions\sdist.py", line 97, in _setup_isolation
    reqs = backend.get_requires_for_build_wheel()
  File "d:\python\py\lib\site-packages\pip\_vendor\pep517\wrappers.py", line 178, in get_requires_for_build_wheel
    'config_settings': config_settings
  File "d:\python\py\lib\site-packages\pip\_vendor\pep517\wrappers.py", line 284, in _call_hook
    raise BackendUnavailable(data.get('traceback', ''))
pip._vendor.pep517.wrappers.BackendUnavailable: Traceback (most recent call last):
  File "d:\python\py\lib\site-packages\pip\_vendor\pep517\_in_process.py", line 86, in _build_backend
    obj = import_module(mod_path)
  File "d:\python\py\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 986, in _gcd_import
  File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  File "<frozen importlib._bootstrap>", line 956, in _find_and_load_unlocked
ImportError: No module named 'setuptools.build_meta'

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

2条回答